<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bil_pelbagai_items', function (Blueprint $table) {
            $table->id();
            $table->integer('bil_pelbagai_id');
            $table->integer('itemno');
            $table->string('itemdesc');
            $table->double('itemprice');
            $table->string('gst_type');
            $table->string('gst_code');
            $table->string('cr_code');
            $table->string('dr_code');
            $table->string('cost_center');
            $table->date('exp_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bil_pelbagai_items');
    }
};
